<div class="list-container">
    <h1>{{TITLE}}</h1>
    <div class="table">
        <table mat-table [dataSource]="users" class="mat-elevation-z8">
            <ng-container matColumnDef="name">
                <th mat-header-cell *matHeaderCellDef>{{NAME}}</th>
                <td mat-cell *matCellDef="let user">{{user.name}}</td>
            </ng-container>
            <ng-container matColumnDef="email">
                <th mat-header-cell *matHeaderCellDef>{{EMAIL}}</th>
                <td mat-cell *matCellDef="let user">{{user.email}}</td>
            </ng-container>
            <ng-container matColumnDef="button">
                <th mat-header-cell *matHeaderCellDef></th>
                <td mat-cell *matCellDef="let user">
                    <div class="form-button">
                        <button (click)="deleteUser(user._id)" mat-flat-button color="warn">{{DELETE_BTN}}</button>
                        <button mat-flat-button routerLink="/home/users/edit/{{user._id}}"
                            color="accent">{{UPDATE_BTN}}</button>
                    </div>
                </td>
            </ng-container>
            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>
    </div>
</div>